<?php

namespace App\Modules\Theme\Providers;

use Illuminate\Support\ServiceProvider;

class ThemeServiceProvider extends ServiceProvider
{
    public function register()
    {
        // Register services or bindings if needed
    }

    public function boot()
    {
        $routesPath = __DIR__ . '/../Routes/api.php';
        if (file_exists($routesPath)) {
            $this->loadRoutesFrom($routesPath);
        }
    }
}
